#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-FPIV4IY7ZoIIoZMsWkNZGf-dns-internal
key:                  dns-4.1.1-FPIV4IY7ZoIIoZMsWkNZGf-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  ae62658c8384dc45f96f64fb4b6d2fc1
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-FPIV4IY7ZoIIoZMsWkNZGf-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-J9p2Vn8IaJo7CsFA60CTW1
    attoparsec-0.14.4-5WJushYcFmLGCbqKFNMNd6
    auto-update-0.1.6-JsX9m1r3b1u9BhzYlIj05g base-4.17.2.1
    base16-bytestring-1.0.2.0-ETHrW4Iofn13w7T0drjGoz
    base64-bytestring-1.2.1.0-KpB09PxqZ4DHJNgWj76H99
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-C4WS5yOTGalFWNdRHukHW1
    containers-0.6.7 cryptonite-0.30-DiB5nnr1qpyLeIqgdzOevJ
    hourglass-0.2.12-qtha5TYRg6Eb5UoVuMwJ
    iproute-1.7.15-6q0Yc7WgZjIz4HggGoiAw mtl-2.2.2
    network-3.1.4.0-KDvUj5yehXe5551PZCouYJ
    psqueues-0.2.8.1-1nRaFCG2L8z4BwALa87mTD

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-1vFzsmFeoesJ6s4dqJr3Nl
key:                  dns-4.1.1-1vFzsmFeoesJ6s4dqJr3Nl
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  c5e1bc801e5d8e2b0339b17045427f30
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-1vFzsmFeoesJ6s4dqJr3Nl
depends:
    array-0.5.4.0 async-2.2.5-J9p2Vn8IaJo7CsFA60CTW1
    attoparsec-0.14.4-5WJushYcFmLGCbqKFNMNd6
    auto-update-0.1.6-JsX9m1r3b1u9BhzYlIj05g base-4.17.2.1
    base16-bytestring-1.0.2.0-ETHrW4Iofn13w7T0drjGoz
    base64-bytestring-1.2.1.0-KpB09PxqZ4DHJNgWj76H99
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-DiB5nnr1qpyLeIqgdzOevJ
    dns-4.1.1-FPIV4IY7ZoIIoZMsWkNZGf-dns-internal
    hourglass-0.2.12-qtha5TYRg6Eb5UoVuMwJ
    iproute-1.7.15-6q0Yc7WgZjIz4HggGoiAw mtl-2.2.2
    network-3.1.4.0-KDvUj5yehXe5551PZCouYJ
    psqueues-0.2.8.1-1nRaFCG2L8z4BwALa87mTD

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

